// ====================================================================
// Copyright (C) INRIA -  Serge Steer
// 
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at    
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

function [f,g,ind] = ucost(X,ind)
//external for the Scilab optim function
  g=zeros(X)
  if or(isnan(X)) then ind=-1,mprintf("x is nan\n");end
  if or(isinf(X)) then ind=-2,mprintf("x is inf\n");end
  if (ind == 2) then
    f = ufn(X);
    if or(isnan(f))|or(isinf(f)) then ind=-3,mprintf("f is nan or inf\n");end
  end
  if (ind == 3) then
    g = ugr(X)
    if or(isnan(g))|or(isinf(g)) then ind=-4,mprintf("g is nan or inf\n");,end
  end
  if (ind == 4) then
    [f,g] = uofg(X)
    if isnan(f)|or(isinf(f))|or(isnan(g))|or(isinf(g)) then ind=-5,mprintf("f or g is nan of inf\n"),end
  end
endfunction

