//This test checks the behavior of Scilab optimizer optim, Quasi newton
//case over the corresponding problems included in the sif directory
lines(0)
Tpath=get_absolute_file_path('sif_optim_test.tst');
PBS=[];
path=get_sif_path()+'sif'
//select the problems that can be solved by optim
//-----------------------------------------------
//Sum of square objective, Unbounded, Regular
sel= sifselect(path,['S','U','R']); 
PBS=[PBS;['SUR'+emptystr(sel) sel]];

//Other objective, Unbounded, Regular
sel= sifselect(path,['O','U','R']);
sel(sel=='JIMACK')=[];
PBS=[PBS;['OUR'+emptystr(sel) sel]];

//Sum of square objective, Bounded, Regular
sel= sifselect(path,['S','B','R']);
PBS=[PBS;['SBR'+emptystr(sel) sel]];

//Other objective, Bounded, Regular
sel= sifselect(path,['O','B','R']);
PBS=[PBS;['OBR'+emptystr(sel) sel]];

//Other objective, Bounded, Iregular
sel= sifselect(path,['O','B','I']);
PBS=[PBS;['OBI'+emptystr(sel) sel]];

if %T
//Quadratic objective function Unbounded, Regular
sel= sifselect(path,['Q','U','R']); 
PBS=[PBS;['QUR'+emptystr(sel) sel]];
//Quadratic objective function Bounded, Regular
sel= sifselect(path,['Q','B','R']); 
PBS=[PBS;['QBR'+emptystr(sel) sel]];

//Quadratic objective function Unbounded, Iregular

end
// Try to solve the selected problems
stacksize(4d7)
R=['Type','Name','#Unknowns','#Constraints","#Calls","Cost","normG","Fail"];
for k=1:size(PBS,1)
//for k=1:9
  disp(PBS(k,:))
  [fopt,xopt,gopt,report]=sifoptim(path+'/'+PBS(k,2)+'.SIF','qn');
  disp(report)
  R=[R;[PBS(k,1),report]];
save('R',R)
end

T=emptystr(size(R,1),1);
for k=1:size(R,2)
  lc=max(length(R(:,k)));
  T=T+part(R(:,k),1:lc+3);
end	
mputl(T, Tpath+'sif_optim_test_report'+date()+'.txt')

